Skip to main content
GET
/
api
/
public
/
broker
/
ticker
/
top-assets-summary
/
Top Assets Summary
curl --request GET \
  --url https://app.digitalsurge.com.au/api/public/broker/ticker/top-assets-summary/
{
  "count": 123,
  "results": [
    {
      "topGainers": [
        {
          "symbol": "<string>",
          "name": "<string>",
          "buy": "<string>",
          "sell": "<string>",
          "gain": "<string>",
          "market_cap": 123,
          "in_discovery_zone": true
        }
      ],
      "newlyListed": [
        {
          "symbol": "<string>",
          "name": "<string>",
          "buy": "<string>",
          "sell": "<string>",
          "gain": "<string>",
          "market_cap": 123,
          "in_discovery_zone": true
        }
      ],
      "topTraded": [
        {
          "symbol": "<string>",
          "name": "<string>",
          "buy": "<string>",
          "sell": "<string>",
          "gain": "<string>",
          "market_cap": 123,
          "in_discovery_zone": true
        }
      ],
      "topLosers": [
        {
          "symbol": "<string>",
          "name": "<string>",
          "buy": "<string>",
          "sell": "<string>",
          "gain": "<string>",
          "market_cap": 123,
          "in_discovery_zone": true
        }
      ]
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Query Parameters

count
integer

Number of assets per category (default: 6)

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"